<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Room extends Model
{
    use HasFactory;

    protected $fillable = ['ship_id', 'type_id', 'code', 'room_number','status'];

    public function ship()
    {
        return $this->belongsTo(Ship::class);
    }
    
    public function type()
    {
        return $this->belongsTo(RoomType::class);
    }
}
